package com.dcsoft.system.mapper;

import java.util.List;
import com.dcsoft.system.domain.SysProduct;

/**
 * 产品信息Mapper接口
 * 
 * @author nichun
 * @date 2023-03-08
 */
public interface SysProductMapper 
{
    /**
     * 查询产品信息
     * 
     * @param id 产品信息主键
     * @return 产品信息
     */
    public SysProduct selectSysProductById(Long id);

    /**
     * 查询产品信息列表
     * 
     * @param sysProduct 产品信息
     * @return 产品信息集合
     */
    public List<SysProduct> selectSysProductList(SysProduct sysProduct);

    /**
     * 新增产品信息
     * 
     * @param sysProduct 产品信息
     * @return 结果
     */
    public int insertSysProduct(SysProduct sysProduct);

    /**
     * 修改产品信息
     * 
     * @param sysProduct 产品信息
     * @return 结果
     */
    public int updateSysProduct(SysProduct sysProduct);

    /**
     * 删除产品信息
     * 
     * @param id 产品信息主键
     * @return 结果
     */
    public int deleteSysProductById(Long id);

    /**
     * 批量删除产品信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysProductByIds(Long[] ids);
}
